com.mysql.cj.protocol

## Interface PacketSentTimeHolder

    public interface PacketSentTimeHolder

Holds the time the last packet was sent.

### Method Summary

All Methods Instance Methods Default Methods
`default long` `getLastPacketSentTime()` Returns the send time of a very recent packet.
`default long` `getPreviousPacketSentTime()` Returns the send time of a previous packet.

### Method Detail

#### getLastPacketSentTime

    default long getLastPacketSentTime()

Returns the send time of a very recent packet. Should be used in exception generation when the send operation failed.

Returns:
  very recent packet send time

#### getPreviousPacketSentTime

    default long getPreviousPacketSentTime()

Returns the send time of a previous packet. Should be used in exception generation when the send operation was successful but the following read operation failed.

Returns:
  previous packet send time

Copyright © 2016, 2026, Oracle and/or its affiliates.